<div class="row">
<div class="modal-body col-6" *ngIf="candidateData">
    <div class="modal-header">
        <span class="fs-4 fw-semibold"> {{'humanresources.dateVacation' | translate}} №{{candidateData?.applicationId}}</span>
    </div>
    <div class="mt-2">
        <div>
        <span class="fs-4 fw-semibold">{{getFullName(candidateData?.user)}}</span>
        <ul>

            <li class="mb-2">
                <span class="text-muted me-3">ИИН</span>
                <span>{{ candidateData?.user?.login}}</span>
            </li>
            <li class="mb-2">
                <span class="text-muted me-3">{{'humanresources.post' | translate}}</span>
                <span>{{ candidateData?.user?.employeeDTO?.serviceGroup?.name}}</span>
            </li>
        </ul>
    </div>
    <div>
        <span class="fs-6 fw-semibold">{{'humanresources.vacation' | translate}}</span>
        <ul>
            <li class="mb-2" *ngIf="candidateData?.employee">
                <span class="text-muted me-3">{{'humanresources.framed' | translate}}</span>
                <span class="small">{{candidateData?.employee?.birthDate}}</span>
            </li>

            <li class="mb-2" *ngIf="candidateData?.startDate">
                <span class="text-muted me-3">{{'humanresources.period' | translate}}</span>
                <span>{{candidateData?.startDate | date: 'dd MMMM yyyy'}}</span> -
                <span>{{candidateData?.finishDate | date: 'dd MMMM yyyy'}}</span>
            </li>
            <li class="mb-2" *ngIf="candidateData?.period">
                <span class="text-muted me-3">{{'humanresources.amount' | translate}}</span>
                <span>{{candidateData?.period}}</span>
            </li>
            <li class="mb-2" *ngIf="candidateData?.employee?.birthDate">
                <span class="text-muted me-3">{{'humanresources.remain' | translate}}</span>
                <span>{{candidateData?.employee?.birthDate}}</span>
            </li>
        </ul>
    </div>
    </div>
    <div class="col-9 d-flex justify-content-evenly me-3">
        <button class="btn btn-dark" *ngIf="permission?.SendApplication" (click)="openAction(action)">{{'humanresources.action' | translate}}</button>
        <button class="btn btn-dark" *ngIf="permission?.ManageApplication" (click)="accept()">{{'humanresources.assign' | translate}}</button>
        <button class="btn btn-outline-secondary" *ngIf="permission?.ManageApplication" (click)="cancel()">{{'humanresources.cancel' | translate}}</button>
    </div>
</div>
    <div class="col-3 d-flex flex-column">
        <div class="d-flex flex-column">
            <div>
                <div class="d-flex lh-lg" *ngFor="let step of progress; let last = last">
                    <span class="fs-5 d-block progressbar"><i [class.text-primary]="last" class="bi bi-stop-circle-fill me-2 d-block icon"></i><span class="indicator" [class.d-none]="last"></span></span>
                    <span class="pb-1 small">{{step?.name}}</span>
                </div>
                
            </div>
        </div>
        <div class="mt-auto mx-auto" *ngIf="permission?.CreateConclusion">
            <a class="fs-2" (click)="openConclusion(conclusion)"><i class="bi bi-plus-circle-dotted"></i></a>
        </div>
</div>
<app-empty-list *ngIf="!candidateData"></app-empty-list>

<ng-template let-model #conclusion>
    <div class="card">
        <div class="card-header">
          <span class="fs-4">{{'humanresources.attachConclusion' | translate}}</span>
          <button class="btn-close float-end my-auto"></button>
        </div>
        <div class="card-body">
            <form [formGroup]="form" (ngSubmit)="submit()">
                <div class="d-flex">
                    <div class="form-check me-3">
                        <input type="radio" class="form-check-input" value="1" name="status" formControlName="status">
                        <label class="form-check-label">{{'humanresources.design' | translate}}</label>
                    </div>
                    <!-- <div class="form-check me-3">
                        <input type="radio" class="form-check-input" value="2" name="status" formControlName="status">
                        <label class="form-check-label">На доработку</label>
                    </div> -->
                    <div class="form-check me-3">
                        <input type="radio" class="form-check-input" value="3" name="status" formControlName="status">
                        <label class="form-check-label">{{'humanresources.cancel' | translate}}</label>
                    </div>
                </div>
                <div class="form-floating mt-3">
                    <textarea class="form-control" id="floatingTextarea" style="height: 100px" formControlName="comment"></textarea>
                    <label for="floatingTextarea">{{'humanresources.comment' | translate}}</label>
                  </div>
                <div class="mt-5">
                    <button class="btn btn-dark" type="submit" [disabled]="!form.valid">{{'humanresources.attachNassaign' | translate}}</button>
                </div>
            </form>
        </div>
        </div>
</ng-template>

<ng-template let-modal #action>
    <div>
    <div class="modal-header">{{'humanresources.direct' | translate}}</div>
    <div class="modal-body">
       <form [formGroup]="formDirect" (ngSubmit)="redirect()">    
                <div class="">
                    <select class="form-select" formControlName="receiverId">
                        <option value="null">{{'humanresources.choose' | translate}}</option>
                        <option [value]="user.login" *ngFor="let user of users">{{getFullName(user)}}</option>
                    </select>
                </div>
            <div class="my-3">
                <textarea class="form-control" id="floatingTextarea1"  name="textarea" style="height: 100px;"></textarea>
                <label for="floatingTextarea1">{{'humanresources.comment' | translate}}</label>
            </div>
            <div>
                <button class="btn btn-dark" type="submit">{{'humanresources.direct' | translate}}</button>
            </div>
       </form> 
    </div>
    </div>
</ng-template>